KDE 4.5 PyKDE API Reference

- KDE's Python API

# GeoDataStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataStyleSelector → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataStyle

## Detailed Description

an addressable style group

A GeoDataStyle defines an addressable style group that can be referenced by GeoDataStyleMaps and GeoDataFeatures. GeoDataStyles affect how Geometry is presented in the 3D viewer (not yet implemented) and how Features appear. Shared styles are collected in a GeoDataDocument and must have an id defined for them so that they can be referenced by the individual Features that use them.

See also:
  GeoDataIconStyle

See also:
  GeoDataLabelStyle

See also:
  GeoDataLineStyle

See also:
  GeoDataPolyStyle

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataStyle other)
| __init__ (self, QPixmap icon, QFont font, QColor color)
Marble.GeoDataIconStyle | iconStyle (self)
Marble.GeoDataLabelStyle | labelStyle (self)
Marble.GeoDataLineStyle | lineStyle (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
Marble.GeoDataPolyStyle | polyStyle (self)
| setIconStyle (self, Marble.GeoDataIconStyle style)
| setLabelStyle (self, Marble.GeoDataLabelStyle style)
| setLineStyle (self, Marble.GeoDataLineStyle style)
| setPolyStyle (self, Marble.GeoDataPolyStyle style)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataStyle | other
| ) |  |  |

__init__ | ( | self, |
|  | QPixmap | icon,
|  | QFont | font,
|  | QColor | color
| ) |  |  |

Construct a new style

Parameters:

  |  | icon used to construct the icon style
  |  | font used to construct the label styles
  |  | color used to construct the label styles

Marble.GeoDataIconStyle iconStyle | ( |  | self ) |

Marble.GeoDataLabelStyle labelStyle | ( |  | self ) |

Marble.GeoDataLineStyle lineStyle | ( |  | self ) |

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the style to a stream

Parameters:

  |  | stream the stream

Marble.GeoDataPolyStyle polyStyle | ( |  | self ) |

setIconStyle | ( | self, |
|  | Marble.GeoDataIconStyle | style
| ) |  |  |

setLabelStyle | ( | self, |
|  | Marble.GeoDataLabelStyle | style
| ) |  |  |

setLineStyle | ( | self, |
|  | Marble.GeoDataLineStyle | style
| ) |  |  |

setPolyStyle | ( | self, |
|  | Marble.GeoDataPolyStyle | style
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the style from a stream

Parameters:

  |  | stream the stream